<?php
// $Id: ThemeSakuraJQuery.class.php ver0.02 2011/02/10  22:28:00 domifara  Exp $
// php4 , phph5.x ,php5.3.x Compatibility
// http://www.xugj.org/modules/d3forum/index.php?topic_id=1105
if(!defined('XOOPS_ROOT_PATH')) exit;
class ThemeSakuraJQuery extends XCube_ActionFilter
{
public function __construct(&$controller)
{
		parent::__construct($controller);
		$this->ThemeAddFunction();
}
public function ThemeAddFunction()
{
	$this->mRoot->mDelegateManager->add('Site.JQuery.AddFunction',array(&$this, 'addScript'));
}

public function addScript(&$jQuery)
{
		$themename = $this->mRoot->mContext->mXoopsConfig['theme_set'];

//スクリプトコードの登録
//プラグインファイルの登録
		$themePathUrl = XOOPS_THEME_URL.'/'.$themename.'/';
		$jQuery->addLibrary($themePathUrl.'js/jquery.pngfix.js', false);
		$jQuery->addLibrary($themePathUrl.'js/reflection.js', false);
		$jQuery->addLibrary($themePathUrl.'js/jquerypngfix.init.js', false);
// jquerypngfix.init.jsに書き写した内容メモ
/*
$ext_head_script=<<< HTML
jQuery(document).ready(function($){
	$("img").pngfix();
});
HTML;
		$jQuery->addScript($ext_head_script);
*/
//jgrowlによるリダイレクションの処理は theme.html に書き写した

}
//end class
}
?>